summaryrefslogtreecommitdiff
path: root/tests/cp/backup-1
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2004-06-23 15:07:00 +0000
committerJim Meyering <jim@meyering.net>2004-06-23 15:07:00 +0000
commit112efa81f24ead69a3a9b6ae76f601911535352c (patch)
treedc10a3855c2b2a118ebf08a2df2710377dcff8d7 /tests/cp/backup-1
parent11f05299f96e39d58356f83d09811487235c5f4c (diff)
downloadcoreutils-112efa81f24ead69a3a9b6ae76f601911535352c.tar.xz
Replace all occurrences of `(exit N); exit' with
`(exit N); exit N'. Otherwise, those many tests could exit with improper exit status when exiting via e.g., a trapped interrupt. Thanks to a report from Bob Proulx.
Diffstat (limited to 'tests/cp/backup-1')
-rwxr-xr-xtests/cp/backup-14
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/cp/backup-1 b/tests/cp/backup-1
index 29e36e58c..b17e61af8 100755
--- a/tests/cp/backup-1
+++ b/tests/cp/backup-1
@@ -16,7 +16,7 @@ cd $tmp || framework_failure=1
if test $framework_failure = 1; then
echo "$0: failure in testing framework" 1>&2
- (exit 1); exit
+ (exit 1); exit 1
fi
suffix=.b
@@ -37,4 +37,4 @@ test -f $file || fail=1
test -f $file_backup || fail=1
cmp $file $file_backup > /dev/null || fail=1
-(exit $fail); exit
+(exit $fail); exit $fail